## ceph 10.2.5-5676-g72b24f0-1jessie

=== doc/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ceph
pkgincludedir = $(includedir)/ceph
pkglibdir = $(libdir)/ceph
pkglibexecdir = $(libexecdir)/ceph
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_check_classpath.m4 \
	$(top_srcdir)/m4/ac_prog_jar.m4 \
	$(top_srcdir)/m4/ac_prog_javac.m4 \
	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
	$(top_srcdir)/m4/ac_prog_javah.m4 \
	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/ax_arm.m4 \
	$(top_srcdir)/m4/ax_c_pretty_func.m4 \
	$(top_srcdir)/m4/ax_c_var_func.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/m4/ax_cxx_static_cast.m4 \
	$(top_srcdir)/m4/ax_intel.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/acconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /srv/autobuild-ceph/gitbuilder.git/build/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_CXXFLAGS =  -I/usr/include/nss -I/usr/include/nspr  
AM_DEFAULT_VERBOSITY = 0
AR = ar
ARM_FLAGS = 
ARM_NEON_FLAGS = 
AUTOCONF = ${SHELL} /srv/autobuild-ceph/gitbuilder.git/build/missing autoconf
AUTOHEADER = ${SHELL} /srv/autobuild-ceph/gitbuilder.git/build/missing autoheader
AUTOMAKE = ${SHELL} /srv/autobuild-ceph/gitbuilder.git/build/missing automake-1.14
AWK = mawk
BOOST_PROGRAM_OPTIONS_LIBS = -lboost_program_options 
BOOST_RANDOM_LIBS = -lboost_random 
BOOST_REGEX_LIBS = -lboost_regex 
BOOST_THREAD_LIBS = -lboost_thread 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -fno-omit-frame-pointer -g -O2
CCDEPMODE = depmode=gcc3
CFLAGS = -D_LARGEFILE64_SOURCE -fno-omit-frame-pointer -g -O2
CPP = gcc -E
CPPFLAGS = 
CRYPTOPP_CFLAGS = 
CRYPTOPP_LIBS = 
CRYPTO_CFLAGS = -I/usr/include/nss -I/usr/include/nspr 
CRYPTO_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-omit-frame-pointer -g -O2 -std=gnu++11
CYGPATH_W = echo
CYTHON_CHECK = yes
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXTRA_CLASSPATH_JAR = /usr/share/java/junit4.jar
FGREP = /bin/grep -F
GCOV_PREFIX_STRIP = 5
GIT_CHECK = yes
GREP = /bin/grep
HAVE_CXX11 = 1
HAVE_VALGRIND = yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTEL_FLAGS =  -msse -DINTEL_SSE -msse2 -DINTEL_SSE2 -msse3 -DINTEL_SSE3 -mssse3 -DINTEL_SSSE3 -mpclmul -DINTEL_SSE4_PCLMUL -msse4.1 -DINTEL_SSE4 -msse4.2 -DINTEL_SSE4
INTEL_PCLMUL_FLAGS = -mpclmul -DINTEL_SSE4_PCLMUL
INTEL_SSE2_FLAGS = -msse2 -DINTEL_SSE2
INTEL_SSE3_FLAGS = -msse3 -DINTEL_SSE3
INTEL_SSE4_1_FLAGS = -msse4.1 -DINTEL_SSE4
INTEL_SSE4_2_FLAGS = -msse4.2 -DINTEL_SSE4
INTEL_SSE_FLAGS = -msse -DINTEL_SSE
INTEL_SSSE3_FLAGS = -mssse3 -DINTEL_SSSE3
JAR = jar
JAVAC = javac
JAVAH = /usr/bin/javah
JDK_CPPFLAGS = -I/usr/lib/jvm/default-java/include -I/usr/lib/jvm/default-java/include/linux
KEYUTILS_LIB = -lkeyutils
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBDPDK_CFLAGS = 
LIBDPDK_LIBS = 
LIBFUSE_CFLAGS = -D_FILE_OFFSET_BITS=64 -I/usr/include/fuse 
LIBFUSE_LIBS = -lfuse -pthread 
LIBJEMALLOC = 
LIBOBJS = 
LIBPCIACCESS_CFLAGS = 
LIBPCIACCESS_LIBS = 
LIBROCKSDB_CFLAGS = 
LIBROCKSDB_LIBS = 
LIBS = -lboost_iostreams -lboost_system -lprofiler 
LIBTCMALLOC = -ltcmalloc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBZFS_CFLAGS = 
LIBZFS_LIBS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LTTNG_GEN_TP_CHECK = yes
LTTNG_GEN_TP_PROG = lttng-gen-tp
MAKEINFO = ${SHELL} /srv/autobuild-ceph/gitbuilder.git/build/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NSS_CFLAGS = -I/usr/include/nss -I/usr/include/nspr 
NSS_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ceph
PACKAGE_BUGREPORT = ceph-devel@vger.kernel.org
PACKAGE_NAME = ceph
PACKAGE_STRING = ceph 10.2.5
PACKAGE_TARNAME = ceph
PACKAGE_URL = 
PACKAGE_VERSION = 10.2.5
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS =  -lpthread
PYTHON = /usr/bin/python
PYTHON_CFLAGS = -I/usr/include/python2.7 -I/usr/include/x86_64-linux-gnu/python2.7  -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security  -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes
PYTHON_CONFIG_CHECK = yes
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LDFLAGS = -L/usr/lib/python2.7/config-x86_64-linux-gnu -L/usr/lib -lpython2.7 -lpthread -ldl  -lutil -lm  -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
RDYNAMIC_FLAG = -rdynamic
RESOLV_LIBS = -lresolv
RPM_RELEASE = 5676.g72b24f0
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SPHINX_BUILD = sphinx-build
STRIP = strip
VERSION = 10.2.5
WARN_ERROR_FORMAT_SECURITY = 
WARN_IGNORED_QUALIFIERS = -Wignored-qualifiers
WARN_TYPE_LIMITS = -Wtype-limits
XIO_LIBS = 
YASM_CHECK = yes
abs_builddir = /srv/autobuild-ceph/gitbuilder.git/build/doc
abs_srcdir = /srv/autobuild-ceph/gitbuilder.git/build/doc
abs_top_builddir = /srv/autobuild-ceph/gitbuilder.git/build
abs_top_srcdir = /srv/autobuild-ceph/gitbuilder.git/build
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /srv/autobuild-ceph/gitbuilder.git/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/ceph
pkgpythondir = ${pythondir}/ceph
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/dist-packages
pythondir = ${prefix}/lib/python2.7/dist-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  src/gmock
sysconfdir = ${prefix}/etc
systemd_unit_dir = /lib/systemd/system
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
	man \
	api \
	architecture.rst \
	cephfs \
	conf.py \
	dev \
	favicon.ico \
	glossary.rst /

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)

=== man/CMakeLists.txt ===
install(FILES
	ceph-osd.8
	ceph-mds.8
	ceph-mon.8
	ceph-syn.8
	crushtool.8
	osdmaptool.8
	monmaptool.8
	ceph-conf.8
	ceph-run.8
	ceph.8
	mount.ceph.8
	ceph-create-keys.8
	radosgw.8
	radosgw-admin.8
	ceph-authtool.8
	rados.8
	librados-config.8
	ceph-clsinfo.8
	ceph-debugpack.8
	cephfs.8
	ceph-dencoder.8
	ceph-rest-api.8
	ceph-post-file.8
  DESTINATION ${CEPH_MAN_DIR}/man8)

if(HAVE_LIBFUSE)
  install(FILES
	ceph-fuse.8
	rbd-fuse.8
	DESTINATION ${CEPH_MAN_DIR}/man8)
endif()

if(WITH_RBD)
  install(FILES
	ceph-rbdnamer.8
	rbd-nbd.8
	rbd-replay-prep.8
	rbd-replay.8
	rbdmap.8
	rbd.8
	DESTINATION ${CEPH_MAN_DIR}/man8)
endif()

=== src/compressor/CMakeLists.txt ===

set(compressor_srcs 
  Compressor.cc
  AsyncCompressor.cc)
add_library(compressor STATIC ${compressor_srcs})
target_link_libraries(compressor common snappy ${CMAKE_DL_LIBS})

## compressor plugins

set(compressorlibdir ${LIBRARY_OUTPUT_PATH}/compressor)

add_subdirectory(snappy)
add_subdirectory(zlib)

add_library(compressor_objs OBJECT Compressor.cc)

add_custom_target(compressor_plugins DEPENDS
    ceph_snappy
    ceph_zlib)

=== qa/tasks/buildpackages/Makefile ===
SHELL=/bin/bash
D=/tmp/stampsdir
VPATH=${D}
TIMEOUT_SERVER_CREATE = 30m
TIMEOUT_BUILD = 220m # 20 minutes short of 4 hours
PKG_REPO=packages-repository
PKG_REPO_OS_TYPE=ubuntu
PKG_REPO_OS_VERSION=14.04
PKG_REPO_USER_DATA=${PKG_REPO_OS_TYPE}-${PKG_REPO_OS_VERSION}-user-data.txt

# We want to extract the first listed IPv4 address!
# Openstack will provide the addresses field in this format:
# "net1-name=ip(, ip)+(; net2-name=ip(, ip)+)+"
# Each IP may be v4 or v6 (including shortened forms and IPv4-mapped-IPv6 forms)
# 1.2.3.4
# 2001:db8:6050:ed4d:f816:3eff:fe48:3b36
# 2001:db8::fe48:3b36
# 2001:db8::1.2.3.4
# Example long-form input:
# private-network=10.10.10.69, 2001:db8:6050:ed4d:f816:3eff:fed1:d9f8;net-name2=2001:db8::fe48:3b36, 2001:db8::1.2.3.4, 1.2.3.4;
# TODO: allow selection of the network instead of taking the first network
# TODO: Support IPv6 in future
define get_ip
$$(openstack server show -f value -c addresses $(1) |perl -pe 's/^[^=]+=([^;]+).*/\1/g; s/[ ,]/\n/g; ' |grep -v -e ':' -e '^$$' |head -n1)
endef

MY_IP=$(shell hostname -I | cut -f1 -d' ')

${HOME}/.ssh_agent:
	ssh-agent -s > ${HOME}/.ssh_agent
	source ${HOME}/.ssh_agent ; ssh-add ; ssh-add -l
	grep -q ssh_agent ~/.bashrc_teuthology || echo 'source ${HOME}/.ssh_agent' >> ~/.bashrc_teuthology

flock-${PKG_REPO}:
	timeout $(TIMEOUT_SERVER_CREATE) openstack server create --image 'teuthology-ubuntu-14.04-${HTTP_ARCH}' ${OPENSTACK_NETWORK} --flavor ${HTTP_FLAVOR} --key-name teuthology --security-group teuthology --property ownedby=${MY_IP} --user-data ${PKG_REPO_USER_DATA} --wait ${PKG_REPO}
	sleep 30
	set -ex ; \
	ip=$(call get_ip,${PKG_REPO}) ; \
	for delay in 1 2 4 8 8 8 8 8 8 8 8 8 16 16 16 16 16 32 32 32 64 128 256 512 ; do if ssh -o 'ConnectTimeout=3' $$ip bash -c '"grep -q READYTORUN /var/log/cloud-init*.log"' ; then break ; else sleep $$delay ; fi ; done ; \
	ssh $$ip sudo apt-get update ; \
	ssh $$ip sudo apt-get install -y nginx rsync && \
	ssh $$ip sudo chown -R ubuntu /usr/share/nginx/html && \
	ssh $$ip sudo rm /usr/share/nginx/html/\* && \
	ssh $$ip sudo perl -pi -e '"s|location / {|location / { autoindex on;|"' /etc/nginx/sites-available/default && \
	ssh $$ip sudo /etc/init.d/nginx restart && \
	perl -pi -e "s/^gitbuilder_host:.*/gitbuilder_host: $$ip/" ~/.teuthology.yaml
	touch ${D}/$@

${PKG_REPO}:
	mkdir -p ${D}
	flock --close ${D}/flock-$@.lock ${MAKE} flock-$@
	touch ${D}/$@

# Just because 'server create' return success does not mean it actually succeeded!
# Check the server status before we proceed.
# If it's a weird status, bail out and let the delete fire
# eg: ERROR status can happen if there is no VM host without enough capacity for the request.
ceph-${CEPH_PKG_TYPE}-${CEPH_DIST}-${CEPH_ARCH}-${CEPH_FLAVOR}-${CEPH_SHA1}: ${PKG_REPO}
	timeout $(TIMEOUT_SERVER_CREATE) openstack server create --image 'teuthology-${CEPH_OS_TYPE}-${CEPH_OS_VERSION}-${CEPH_ARCH}' ${OPENSTACK_NETWORK} --flavor ${BUILD_FLAVOR} --key-name teuthology --security-group teuthology --property ownedby=${MY_IP} --user-data ${CEPH_OS_TYPE}-${CEPH_OS_VERSION}-user-data.txt --wait $@
	set -ex ; \
	trap "openstack server delete --wait $@" EXIT ; \
	for delay in 30 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 10 ; do \
		status=$$(openstack server show -c status -f value $@) ; \
		case $$status in \
			ACTIVE) break ;; \
			NOSTATE|*BUILD|*BOOT|*RESIZE) sleep $$delay ;; \
			*) exit 1 ;; \
		esac ; \
	done ; \
	ip=$(call get_ip,$@) ; \
	test -n "$$ip" || exit ; \
	for delay in 1 2 4 8 8 8 8 8 8 8 8 8 16 16 16 16 16 32 32 32 64 128 256 512 ; do if ssh -o 'ConnectTimeout=3' $$ip bash -c '"grep -q READYTORUN /var/log/cloud-init*.log"' ; then break ; else sleep $$delay ; fi ; done ; \
	scp make-${CEPH_PKG_TYPE}.sh common.sh ubuntu@$$ip: ; \
	packages_repository=$(call get_ip,${<F}) ; \
	timeout $(TIMEOUT_BUILD) ssh -tt -A ubuntu@$$ip bash ./make-${CEPH_PKG_TYPE}.sh $$packages_repository ${CEPH_DIST} ${CEPH_GIT_URL} ${CEPH_SHA1} ${CEPH_FLAVOR} ${CEPH_ARCH}
	mkdir -p ${D}/${@D} ; touch ${D}/$@

clobber:
	pkill ssh-agent || true
	rm -f ${HOME}/.ssh_agent
	rm -fr ${D}

=== src/test/cls_refcount/CMakeLists.txt ===
# ceph_test_cls_refcount
add_executable(ceph_test_cls_refcount
  test_cls_refcount.cc
  )
set_target_properties(ceph_test_cls_refcount PROPERTIES COMPILE_FLAGS
  ${UNITTEST_CXX_FLAGS})
target_link_libraries(ceph_test_cls_refcount
  librados
  cls_refcount_client
  global
  ${UNITTEST_LIBS}
  ${BLKID_LIBRARIES}
  ${CMAKE_DL_LIBS}
  ${CRYPTO_LIBS}
  ${EXTRALIBS}
  radostest
  )

=== debian/changelog ===
ceph (10.2.5-5676-g72b24f0-1jessie) jessie; urgency=medium

  * autobuilt

 -- Ceph autobuild <sage@newdream.net>  Fri, 20 Jan 2017 16:34:59 +0000

ceph (10.2.5-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 09 Dec 2016 20:08:23 +0000

ceph (10.2.4-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 05 Dec 2016 22:15:20 +0000

ceph (10.2.3-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 20 Sep 2016 22:04:22 +0000

ceph (10.2.2-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 14 Jun 2016 11:43:23 +0000

ceph (10.2.1-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 13 May 2016 17:50:33 +0000

ceph (10.2.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 20 Apr 2016 11:29:47 +0000

ceph (10.1.2-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 12 Apr 2016 17:42:55 +0000

ceph (10.1.1-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 06 Apr 2016 00:45:18 +0000

ceph (10.1.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Thu, 24 Mar 2016 10:53:47 +0000

ceph (10.0.5) stable; urgency=low

  * New upstream release (just fixing changelog)

 -- Sage Weil <sage@newdream.net>  Fri, 11 Mar 2016 12:04:26 -0500

ceph (10.0.4) stable; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 03 Mar 2016 13:34:18 -0500

ceph (10.0.3) stable; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 08 Feb 2016 17:10:25 -0500

ceph (10.0.2-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 13 Jan 2016 16:22:26 +0000

ceph (10.0.1-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 14 Dec 2015 23:48:54 +0000

ceph (10.0.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 16 Nov 2015 21:41:53 +0000

ceph (9.2.0-1) stable; urgency=low

  * New upstream release

 -- Jenkins Build Slave User <jenkins-build@jenkins-slave-wheezy.localdomain>  Tue, 03 Nov 2015 16:58:32 +0000

ceph (9.1.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 13 Oct 2015 05:56:36 -0700

ceph (9.0.3-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 21 Aug 2015 12:46:31 -0700

ceph (9.0.2-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 14 Jul 2015 13:10:31 -0700

ceph (9.0.1-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 05 Jun 2015 10:59:02 -0700

ceph (9.0.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 04 May 2015 12:32:58 -0700

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.com/
Vcs-Git: git://github.com/ceph/ceph.git
Vcs-Browser: https://github.com/ceph/ceph
Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders: Ken Dreyer <kdreyer@redhat.com>,
           Alfredo Deza <adeza@redhat.com>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               btrfs-tools,
	       cmake,
               cpio,
	       cryptsetup-bin | cryptsetup,
               cython,
               debhelper (>= 6.0.7~),
	       dh-systemd,
               default-jdk,
               git,
	       gdisk,
               javahelper,
               junit4,
               libaio-dev,
               libatomic-ops-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev (>= 2.17),
               libboost-dev (>= 1.42),
               libboost-program-options-dev (>= 1.42),
               libboost-system-dev (>= 1.42),
               libboost-thread-dev (>= 1.42),
	       libboost-regex-dev,
	       libboost-random-dev,
               libboost-iostreams-dev (>= 1.42),
               libcurl4-gnutls-dev,
               libexpat1-dev,
               libfcgi-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 arm64],
               libkeyutils-dev,
               libleveldb-dev,
               libnss3-dev,
               libsnappy-dev,
               libldap2-dev,
               libssl-dev,
               liblttng-ust-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
	       lsb-release,
               parted,
               pkg-config,
               python (>= 2.6.6-3~),
               python-argparse | libpython2.7-stdlib,
               python-dev,
               python-nose,
	       python-setuptools,
               python-sphinx,
               virtualenv | python-virtualenv,
               sdparm | hdparm,
               uuid-runtime,
               valgrind,
               xfslibs-dev,
               xfsprogs,
               xmlstarlet,
               yasm [amd64],
               zlib1g-dev
Standards-Version: 3.9.3

Package: ceph
Architecture: linux-any
Depends: ceph-mon (= ${binary:Version}),
         ceph-osd (= ${binary:Version})
Recommends: ceph-mds (= ${binary:Version})
Description: distributed storage and file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.

Package: ceph-base
Architecture: linux-any
Depends: binutils,
         ceph-common (= ${binary:Version}),
         cryptsetup-bin | cryptsetup,
         debianutils,
         findutils,
         gdisk,
         grep,
         logrotate,
         python,
         python-argparse | libpython2.7-stdlib,
         python-pkg-resources,
         sdparm | hdparm,
         xfsprogs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: btrfs-tools,
            ceph-mds (= ${binary:Version}),
            librados2 (= ${binary:Version}),
            libradosstriper1 (= ${binary:Version}),
            librbd1 (= ${binary:Version}),
            ntp | time-daemon
Replaces: ceph-common (<< 0.78-500), python-ceph (<< 0.92-1223),
	  ceph-test (<< 0.94-1322), ceph (<< 10)
Breaks: python-ceph (<< 0.92-1223), ceph-test (<< 0.94-1322), 
        ceph (<< 10)
X-Python-Version: >= 2.6
Description: common ceph daemon libraries and management tools
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the libraries and management tools that are common among
 the three Ceph server daemons (ceph-mon, ceph-osd, ceph-mds). These tools are
 necessary for creating, running, and administering a Ceph storage cluster.

Package: ceph-mds
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common (= ${binary:Version}),
            ceph-fuse (= ${binary:Version}),
            libcephfs1 (= ${binary:Version})
Replaces: ceph (<< 0.93-417)
Breaks: ceph (<< 0.93-417)
Description: metadata server for the ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-mds
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-mds.

Package: ceph-mon
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         python-flask,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ceph-common
Replaces: ceph (<< 10)
Breaks: ceph (<< 10)
Description: monitor server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the cluster monitor daemon for the Ceph storage
 system. One or more instances of ceph-mon form a Paxos part-time parliament
 cluster that provides extremely reliable and durable storage of cluster
 membership, configuration, and state.

Package: ceph-mon-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mon (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-mon
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-mon.

Package: ceph-osd
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         parted,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ceph-common (= ${binary:Version})
Replaces: ceph (<< 10)
Breaks: ceph (<< 10)
Description: OSD server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the Object Storage Daemon for the Ceph storage system.
 It is responsible for storing objects on a local file system
 and providing access to them over the network.

Package: ceph-osd-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-osd (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-osd
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-osd.

Package: ceph-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 FUSE base client that allows one to map Ceph rbd images as files.

Package: rbd-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 This package contains the debugging symbols for rbd-fuse.

Package: rbd-mirror
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}),
         librados2 (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: Ceph daemon for mirroring RBD images
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 daemon for mirroring RBD images between Ceph clusters, streaming
 changes asynchronously.

Package: rbd-mirror-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-mirror (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-mirror
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 daemon for mirroring RBD images between Ceph clusters, streaming
 changes asynchronously.
 .
 This package contains the debugging symbols for rbd-mirror.

Package: rbd-nbd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NBD-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 NBD-based client that allows one to map Ceph rbd images as local
 block device.
 .
 NBD base client that allows one to map Ceph rbd images as local
 block device.

Package: rbd-nbd-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-nbd (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-nbd
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 NBD-based client that allows one to map Ceph rbd images as local
 block device.
 .
 This package contains the debugging symbols for rbd-nbd.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
         python-rados (= ${binary:Version}),
         python-cephfs (= ${binary:Version}),
         python-rbd (= ${binary:Version}),
	 python-requests
Conflicts: ceph-client-tools
Replaces: ceph-client-tools,
	  ceph (<< 10),
	  ceph-test (<< 9.0.3-1646),
	  python-ceph (<< 0.92-1223),
	  librbd1 (<< 0.92-1238)
Breaks: ceph (<< 10),
	ceph-test (<< 9.0.3-1646),
	python-ceph (<< 0.92-1223),
	librbd1 (<< 0.92-1238)
Suggests: ceph-base (= ${binary:Version}), ceph-mds (= ${binary:Version})
Description: common utilities to mount and interact with a ceph storage cluster

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Recommended snippet for Autoconf 2.52 or later
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

extraopts += --with-ocf --with-nss
extraopts += --with-debug
extraopts += --enable-cephfs-java

# rocksdb is not packaged by anyone.  build it if we can.
extraopts += --with-librocksdb-static=check

ifeq ($(DEB_HOST_ARCH), armel)
  # armel supports ARMv4t or above instructions sets.
  # libatomic-ops is only usable with Ceph for ARMv6 or above.
  extraopts += --without-libatomic-ops
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh
	./configure --prefix=/usr --localstatedir=/var \
	  --sysconfdir=/etc  --libexecdir=/usr/lib $(extraopts) $(confflags) \
	  $(CEPH_EXTRA_CONFIGURE_ARGS)
	touch $@

build-arch: build
build-indep: build

build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	$(MAKE)

	cp src/init-ceph debian/ceph-base.ceph.init
	cp src/init-radosgw debian/radosgw.init
	cp src/logrotate.conf debian/ceph.logrotate

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f aclocal.m4 compile config.sub config.guess depcomp install-sh \
	  ltmain.sh missing
	rm -f configure Makefile.in man/Makefile.in src/Makefile.in
	rm -f src/acconfig.h.in
	rm -f debian/ceph-base.ceph.init debian/radosgw.init debian/ceph.logrotate debian/radosgw.logrotate

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	install -D -m 644 udev/50-rbd.rules $(DESTDIR)/lib/udev/rules.d/50-rbd.rules
	install -D -m 644 udev/95-ceph-osd.rules $(DESTDIR)/lib/udev/rules.d/95-ceph-osd.rules
	install -D -m 644 udev/60-ceph-by-parttypeuuid.rules $(DESTDIR)/lib/udev/rules.d/60-ceph-by-parttypeuuid.rules
	install -D -m 644 src/etc-rbdmap $(DESTDIR)/etc/ceph/rbdmap
	install -D -m 755 src/init-rbdmap $(DESTDIR)/etc/init.d/rbdmap

# Add here commands to install the package into debian/testpack.
# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	jh_installlibs -v -i
	dh_installchangelogs -i
	dh_installdocs -i --all ChangeLog
	dh_installexamples -i
	dh_install -i --sourcedir=$(DESTDIR) --list-missing
	dh_installman -i
	dh_lintian -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a --all ChangeLog
	dh_installexamples -a
	dh_install -a --sourcedir=$(DESTDIR) --list-missing
	install -d -m0755 debian/ceph-base/etc/logrotate.d
	install -m0644 debian/ceph.logrotate debian/ceph-base/etc/logrotate.d

	# dh_installinit is only set up to handle one upstart script
	# per package, so do this ourselves
	install -d -m0755 debian/ceph-base/etc/init
	install -m0644 src/upstart/ceph-all.conf debian/ceph-base/etc/init
	install -m0644 src/upstart/ceph-create-keys.conf debian/ceph-base/etc/init
	install -d -m0755 debian/ceph-osd/etc/init
	install -m0644 src/upstart/ceph-osd*.conf debian/ceph-osd/etc/init
	install -m0644 src/upstart/ceph-disk.conf debian/ceph-osd/etc/init
	install -d -m0755 debian/ceph-mon/etc/init
	install -m0644 src/upstart/ceph-mon*.conf debian/ceph-mon/etc/init
	install -d -m0755 debian/ceph-common/etc/init
	install -m0644 src/upstart/rbdmap.conf debian/ceph-common/etc/init
	install -d -m0755 debian/ceph-mds/etc/init
	install -m0644 src/upstart/ceph-mds*.conf debian/ceph-mds/etc/init
	install -d -m0755 debian/radosgw/etc/init
	install -m0644 src/upstart/radosgw*.conf debian/radosgw/etc/init
	install -d -m0755 debian/rbd-mirror/etc/init
	install -m0644 src/upstart/ceph-rbd-mirror*.conf debian/rbd-mirror/etc/init
	# install the systemd stuff manually since we have funny service names
	install -d -m0755 debian/ceph-common/lib/systemd/system
	install -m0644 systemd/ceph.target debian/ceph-common/lib/systemd/system
	install -d -m0755 debian/ceph-common/etc/default
	install -m0644 etc/default/ceph debian/ceph-common/etc/default/
	install -d -m0755 debian/ceph-common/usr/lib/tmpfiles.d
	install -m 0644 -D systemd/ceph.tmpfiles.d debian/ceph-common/usr/lib/tmpfiles.d/ceph.conf

	install -d -m0755 debian/ceph-base/lib/systemd/system
	install -d -m0755 debian/ceph-mon/lib/systemd/system
	install -d -m0755 debian/ceph-osd/lib/systemd/system
	install -m0644 systemd/ceph-mon@.service debian/ceph-mon/lib/systemd/system
	install -m0644 systemd/ceph-create-keys@.service debian/ceph-base/lib/systemd/system
	install -m0644 systemd/ceph-osd@.service debian/ceph-osd/lib/systemd/system
	install -m0644 systemd/ceph-disk@.service debian/ceph-osd/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mon/lib/systemd/system/ceph-mon@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-base/lib/systemd/system/ceph-create-keys@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-osd@.service
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-disk@.service
	install -m0644 systemd/ceph-mon.target debian/ceph-mon/lib/systemd/system
	install -m0644 systemd/ceph-osd.target debian/ceph-osd/lib/systemd/system

	install -d -m0755 debian/ceph-mds/lib/systemd/system
	install -m0644 systemd/ceph-mds@.service debian/ceph-mds/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mds/lib/systemd/system/ceph-mds@.service
	install -m0644 systemd/ceph-mds.target debian/ceph-mds/lib/systemd/system

	install -d -m0755 debian/radosgw/lib/systemd/system
	install -m0644 systemd/ceph-radosgw@.service debian/radosgw/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/radosgw/lib/systemd/system/ceph-radosgw@.service
	install -m0644 systemd/ceph-radosgw.target debian/radosgw/lib/systemd/system

	install -d -m0755 debian/rbd-mirror/lib/systemd/system
	install -m0644 systemd/ceph-rbd-mirror@.service debian/rbd-mirror/lib/systemd/system
	sed -i s./etc/sysconfig/./etc/default/.g debian/rbd-mirror/lib/systemd/system/ceph-rbd-mirror@.service
	install -m0644 systemd/ceph-rbd-mirror.target debian/rbd-mirror/lib/systemd/system

	dh_systemd_enable
	dh_installinit -p ceph-base --name ceph --no-start
	dh_installinit -p radosgw --no-start
	dh_systemd_start --no-restart-on-upgrade

	dh_installman -a
	dh_lintian -a
	dh_link -a

	dh_strip -pceph-mds --dbg-package=ceph-mds-dbg
	dh_strip -pceph-mon --dbg-package=ceph-mon-dbg
	dh_strip -pceph-osd --dbg-package=ceph-osd-dbg
	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
	dh_strip -prbd-fuse --dbg-package=rbd-fuse-dbg
	dh_strip -prbd-mirror --dbg-package=rbd-mirror-dbg
	dh_strip -prbd-nbd --dbg-package=rbd-nbd-dbg
	dh_strip -pceph-common --dbg-package=ceph-common-dbg
	dh_strip -pceph-fs-common --dbg-package=ceph-fs-common-dbg
	dh_strip -plibrados2 --dbg-package=librados2-dbg
	dh_strip -plibradosstriper1 --dbg-package=libradosstriper1-dbg
	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
	dh_strip -plibrgw2 --dbg-package=librgw2-dbg
	dh_strip -pradosgw --dbg-package=radosgw-dbg
	dh_strip -pceph-test --dbg-package=ceph-test-dbg

	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_python2 -a

## ceph 10.2.6

=== debian/changelog ===
ceph (10.2.6-0ubuntu1) zesty; urgency=medium

  * New upstream stable point release (LP: #1671117):
    - d/p/osd-limit-omap-data-in-push-op.patch,rgw_rados-creation_time.patch:
      Dropped, included upstream.
    - d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Mar 2017 09:23:49 +0000

ceph (10.2.5-0ubuntu2) zesty; urgency=medium

  * d/rules: Install upstream provided systemd targets and ensure they
    are enabled and started on install to ensure that integrations aligned
    to upstream packaging work with Ubuntu packages (LP: #1646583).
  * d/rules,d/p/powerpc_libatomic.patch: Ensure linking with -latomic,
    resolving FTBFS on powerpc architecture.

 -- James Page <james.page@ubuntu.com>  Tue, 17 Jan 2017 11:10:40 +0000

ceph (10.2.5-0ubuntu1) zesty; urgency=medium

  * New upstream stable release (LP: #1649856).
    - d/p/32bit-ftbfs.patch: Drop, no longer needed.
    - d/p/*: Refresh.
    - d/ceph-common.install: Switch to RSA keys for drop.ceph.com.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Dec 2016 07:51:11 +0000

ceph (10.2.3-0ubuntu5) zesty; urgency=medium

  * d/ceph.{postinst,preinst,postrm}: Ensure that ceph logrotate
    configuration is purged on upgrade from pre-yakkety installs
    (LP: #1635844).
  * d/ceph-base.*,d/*.logrotate: Install logrotate configuration
    in ceph-common, ensuring that all daemons get log rotation on
    log files, deal with removal of logrotate configuration in
    ceph-base for upgrades (LP: #1609866).

 -- James Page <james.page@ubuntu.com>  Thu, 01 Dec 2016 08:54:21 +0000

ceph (10.2.3-0ubuntu4) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:12:26 +0000

ceph (10.2.3-0ubuntu3) zesty; urgency=medium

  * rgw: Fixes for creation times for buckets (LP: #1587261).
    - d/p/rgw_rados-creation_time.patch: Backport fix from upstream master.
      - Fix logic error that leads to creation time being 0 instead of current
        time when creating buckets.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 26 Oct 2016 14:39:55 +0200
